#include "chdecl.h"
void CH_type_interfacecheck(current, sched, cop)
#define ARGUMENTS 8
#include "chhead.h"
select: switch (SELECTOR) {
    case 0: goto c0;
    case 1: goto cb2;
    case 2: goto c3;
    case 3: goto cb11;
    case 4: goto c12;
    case 5: goto c15;
    case 6: goto cb22;
    case 7: goto c23;
    case 8: goto c28;
    case 9: goto c29;
    case 10: goto cb30;
    case 11: goto c31;
    case 12: goto c36;
    case 13: goto c37;
    case 14: goto cb38;
    case 15: goto c39;
    case 16: goto c44;
    case 17: goto c45;
    case 18: goto c75;
    case 19: goto cb83;
    case 20: goto c84;
    case 21: goto c115;
    case 22: goto c129;
    case 23: goto c130;
    case 24: goto c132;
    case 25: goto c139;
    case 26: goto c141;
    case 27: goto c143;
    case 28: goto c149;
    case 29: goto c156;
    case 30: goto cb157;
    case 31: goto c158;
    case 32: goto c162;
    case 33: goto c184;
    case 34: goto c189;
    case 35: goto c193;
    case 36: goto c206;
    case 37: goto c219;
    case 38: goto c231;
    case 39: goto c237;  }
c0:
/* block , 0 */
  if((ch_returncode = che_block(QUAL(0),sched)) != Normal)
     goto ch_raise_exception;
/* block , 1 */
  if((ch_returncode = che_block(QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 1;
cb2:
/* receive 3 0 */
  if ((ch_returncode = che_receive(DEF(3),DEF(0),sched)) != Normal)
     goto ch_raise_exception;
  return;
c3:
/* new_record 4 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(4).tsdr)->finalize)(REF(4).value,F_DISCARD,sched);
  REF(4).value = ch_val; REF(4).tsdr = & dr_record;
/* copy 4.0 3.1 */
  if((ch_returncode = (REF(3)DOT(1).tsdr->copy)(& ch_val, REF(3)DOT(1).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(4)DOT(0).tsdr)->finalize)(REF(4)DOT(0).value,F_DISCARD,sched);
  REF(4)DOT(0).value = ch_val;
  REF(4)DOT(0).tsdr = datarepmap[REF(3)DOT(1).tsdr->number];
/* copy 4.1 3.0.0 */
  if((ch_returncode = (REF(3)DOT(0)DOT(0).tsdr->copy)(& ch_val, 
    REF(3)DOT(0)DOT(0).value)) != Normal) goto ch_raise_exception;
  (*(REF(4)DOT(1).tsdr)->finalize)(REF(4)DOT(1).value,F_DISCARD,sched);
  REF(4)DOT(1).value = ch_val;
  REF(4)DOT(1).tsdr = datarepmap[REF(3)DOT(0)DOT(0).tsdr->number];
/* lookup_at 5 3.0.2 =(0) */
  if ( !((ch_t = REF(3)DOT(0)DOT(2).value.table)->size) ) goto ch_notfound;
  (*(REF(5).tsdr)->finalize)(REF(5).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(5).value,0);
  REF(5).tsdr = qdatarepmap[ch_t->tsdr->number];
/* copy 6 5 */
  if((ch_returncode = (REF(5).tsdr->copy)(& ch_val, REF(5).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(6).tsdr)->finalize)(REF(6).value,F_DISCARD,sched);
  REF(6).value = ch_val;
  REF(6).tsdr = datarepmap[REF(5).tsdr->number];
/* block , 2 */
  if((ch_returncode = che_block(QUAL(2),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 3;
cb11:
/* call 3.7 6 3.2 3.3 3.4 7 , 3 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(7),
          arguments[1] = DEF(6),
          arguments[2] = DEF(3)DOT(2),
          arguments[3] = DEF(3)DOT(3),
          arguments[4] = DEF(3)DOT(4),
          arguments[5] = DEF(7),
          arguments[5+1] = nil,& arguments[0]),QUAL(3),sched)) != Normal)
     goto ch_raise_exception;
  return;
c12:
/* move 8 7 */
  (*(REF(8).tsdr)->finalize)(REF(8).value,F_DISCARD,sched);
  REF(8) = REF(7);
  REF(7).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
/* branch , 22 */
   goto c22;
c15:
/* new_record 9 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(9).tsdr)->finalize)(REF(9).value,F_DISCARD,sched);
  REF(9).value = ch_val; REF(9).tsdr = & dr_record;
/* copy 9.0 6.0 */
  if((ch_returncode = (REF(6)DOT(0).tsdr->copy)(& ch_val, REF(6)DOT(0).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(9)DOT(0).tsdr)->finalize)(REF(9)DOT(0).value,F_DISCARD,sched);
  REF(9)DOT(0).value = ch_val;
  REF(9)DOT(0).tsdr = datarepmap[REF(6)DOT(0).tsdr->number];
/* copy 10 4 */
  if((ch_returncode = cp_record(& ch_val, REF(4).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(10).tsdr)->finalize)(REF(10).value,F_DISCARD,sched);
  REF(10).value = ch_val;
  REF(10).tsdr = & dr_record;
/* unite 9.1 10 , 3 */
  if ((ch_returncode = che_unite(DEF(9)DOT(1),DEF(10),sched,3)) != Normal)
     goto ch_raise_exception;
/* insert 3.5 9 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(5),DEF(9),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* exit , 4 */
  ch_e = handler_type__exit; ch_val = QUAL(4); goto ch_exception;
c22:
  current->ip = 6;
cb22:
/* call 3.8 8 3.3 11 , 5 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(8),
          arguments[1] = DEF(8),
          arguments[2] = DEF(3)DOT(3),
          arguments[3] = DEF(11),
          arguments[3+1] = nil,& arguments[0]),QUAL(5),sched)) != Normal)
     goto ch_raise_exception;
  return;
c23:
/* move 12 11 */
  (*(REF(12).tsdr)->finalize)(REF(12).value,F_DISCARD,sched);
  REF(12) = REF(11);
  REF(11).tsdr = & dr_bottom;
/* block , 6 */
  if((ch_returncode = che_block(QUAL(6),sched)) != Normal)
     goto ch_raise_exception;
/* reveal 12.2 , 9 */
  if (9 != REF(12)DOT(2).value.variant->info.variant_case) goto ch_case_error;
/* endblock */
  che_endblock(sched);
/* branch , 29 */
   goto c29;
c28:
/* exit , 7 */
  ch_e = handler_type__exit; ch_val = QUAL(7); goto ch_exception;
c29:
/* copy 8 12.2.0 */
  if((ch_returncode = (REF(12)DOT(2)DOT(0).tsdr->copy)(& ch_val, 
    REF(12)DOT(2)DOT(0).value)) != Normal) goto ch_raise_exception;
  (*(REF(8).tsdr)->finalize)(REF(8).value,F_DISCARD,sched);
  REF(8).value = ch_val;
  REF(8).tsdr = datarepmap[REF(12)DOT(2)DOT(0).tsdr->number];
  current->ip = 10;
cb30:
/* call 3.8 8 3.3 13 , 5 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(8),
          arguments[1] = DEF(8),
          arguments[2] = DEF(3)DOT(3),
          arguments[3] = DEF(13),
          arguments[3+1] = nil,& arguments[0]),QUAL(5),sched)) != Normal)
     goto ch_raise_exception;
  return;
c31:
/* move 12 13 */
  (*(REF(12).tsdr)->finalize)(REF(12).value,F_DISCARD,sched);
  REF(12) = REF(13);
  REF(13).tsdr = & dr_bottom;
/* block , 8 */
  if((ch_returncode = che_block(QUAL(8),sched)) != Normal)
     goto ch_raise_exception;
/* reveal 12.2 , 8 */
  if (8 != REF(12)DOT(2).value.variant->info.variant_case) goto ch_case_error;
/* endblock */
  che_endblock(sched);
/* branch , 37 */
   goto c37;
c36:
/* exit , 9 */
  ch_e = handler_type__exit; ch_val = QUAL(9); goto ch_exception;
c37:
/* copy 8 12.2.0.0 */
  if((ch_returncode = (REF(12)DOT(2)DOT(0)DOT(0).tsdr->copy)(& ch_val, 
    REF(12)DOT(2)DOT(0)DOT(0).value)) != Normal) goto ch_raise_exception;
  (*(REF(8).tsdr)->finalize)(REF(8).value,F_DISCARD,sched);
  REF(8).value = ch_val;
  REF(8).tsdr = datarepmap[REF(12)DOT(2)DOT(0)DOT(0).tsdr->number];
  current->ip = 14;
cb38:
/* call 3.8 8 3.3 14 , 5 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(8),
          arguments[1] = DEF(8),
          arguments[2] = DEF(3)DOT(3),
          arguments[3] = DEF(14),
          arguments[3+1] = nil,& arguments[0]),QUAL(5),sched)) != Normal)
     goto ch_raise_exception;
  return;
c39:
/* move 12 14 */
  (*(REF(12).tsdr)->finalize)(REF(12).value,F_DISCARD,sched);
  REF(12) = REF(14);
  REF(14).tsdr = & dr_bottom;
/* block , 10 */
  if((ch_returncode = che_block(QUAL(10),sched)) != Normal)
     goto ch_raise_exception;
/* reveal 12.2 , 10 */
  if (10 != REF(12)DOT(2).value.variant->info.variant_case)
     goto ch_case_error;
/* endblock */
  che_endblock(sched);
/* branch , 45 */
   goto c45;
c44:
/* exit , 11 */
  ch_e = handler_type__exit; ch_val = QUAL(11); goto ch_exception;
c45:
/* size 15 3.0.2 */
  REF(15).value.integer = REF(3)DOT(0)DOT(2).value.table->size;
  REF(15).tsdr = & dr_integer;
/* isubtract 16 15 =(1) */
  if (!chf_isubtract(DEF(16),REF(15).value.integer,1)) goto ch_depletion;
/* size 17 12.1 */
  REF(17).value.integer = REF(12)DOT(1).value.table->size;
  REF(17).tsdr = & dr_integer;
/* equal . 16 17 , 73 */
  if ( REF(16).value.integer == REF(17).value.integer ) goto c73;
/* new_record 18 , 3 */
  if ((ch_val.record = new_record(3)) == nil) goto ch_depletion;
  (*(REF(18).tsdr)->finalize)(REF(18).value,F_DISCARD,sched);
  REF(18).value = ch_val; REF(18).tsdr = & dr_record;
/* ordenum_lit 18.1 , 6 */
  REF(18)DOT(1).value.ord_enum = 6;
  REF(18)DOT(1).tsdr = & dr_ord_enumeration;
/* copy 19 4 */
  if((ch_returncode = cp_record(& ch_val, REF(4).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(19).tsdr)->finalize)(REF(19).value,F_DISCARD,sched);
  REF(19).value = ch_val;
  REF(19).tsdr = & dr_record;
/* unite 18.0 19 , 0 */
  if ((ch_returncode = che_unite(DEF(18)DOT(0),DEF(19),sched,0)) != Normal)
     goto ch_raise_exception;
/* new_table 18.2 , 12 */
  if ((ch_returncode = che_new_table(DEF(18)DOT(2),QUAL(12)
    ,sched)) != Normal)  goto ch_raise_exception;
/* copy 20 6 */
  if((ch_returncode = (REF(6).tsdr->copy)(& ch_val, REF(6).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(20).tsdr)->finalize)(REF(20).value,F_DISCARD,sched);
  REF(20).value = ch_val;
  REF(20).tsdr = datarepmap[REF(6).tsdr->number];
/* unite 21 20 , 0 */
  if ((ch_returncode = che_unite(DEF(21),DEF(20),sched,0)) != Normal)
     goto ch_raise_exception;
/* insert 18.2 21 */
  if ((ch_returncode = insertfunc(DEF(18)DOT(2),DEF(21),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* size 22 12.1 */
  REF(22).value.integer = REF(12)DOT(1).value.table->size;
  REF(22).tsdr = & dr_integer;
/* unite 21 22 , 4 */
  if ((ch_returncode = che_unite(DEF(21),DEF(22),sched,4)) != Normal)
     goto ch_raise_exception;
/* insert 18.2 21 */
  if ((ch_returncode = insertfunc(DEF(18)DOT(2),DEF(21),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* size 23 3.0.2 */
  REF(23).value.integer = REF(3)DOT(0)DOT(2).value.table->size;
  REF(23).tsdr = & dr_integer;
/* isubtract 24 23 =(1) */
  if (!chf_isubtract(DEF(24),REF(23).value.integer,1)) goto ch_depletion;
/* unite 21 24 , 4 */
  if ((ch_returncode = che_unite(DEF(21),DEF(24),sched,4)) != Normal)
     goto ch_raise_exception;
/* insert 18.2 21 */
  if ((ch_returncode = insertfunc(DEF(18)DOT(2),DEF(21),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* insert 3.6 18 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(6),DEF(18),FALSE,0)) != Normal)
     goto ch_raise_exception;
c73:
/* copy 25 12.1 */
  if((ch_returncode = cp_table(& ch_val, REF(12)DOT(1).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(25).tsdr)->finalize)(REF(25).value,F_DISCARD,sched);
  REF(25).value = ch_val;
  REF(25).tsdr = & dr_table;
/* initget 26 25 , 0,0 */
  (*(REF(26).tsdr)->finalize)(REF(26).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(26),DEF(25),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c75:
/* get_or_goto 26 25 , 143 */
  if ((ch_returncode = get_selected_object(DEF(26),DEF(25),sched)) != Normal)
     goto c143;
/* discard 8 */
  (*(REF(8).tsdr)->finalize)(REF(8).value,F_DISCARD,sched);
  REF(8).tsdr = & dr_bottom;
/* block , 13 */
  if((ch_returncode = che_block(QUAL(13),sched)) != Normal)
     goto ch_raise_exception;
/* position 27 26 */
  ch_frame = get_selector_frame(DEF(26),sched);
  ch_t = ch_frame->inspectee->value.table;
  REF(27).value.integer = ch_frame->rmvcount +
    (*(ch_t->tbls[ORDER_TBL].des->position_of))(ch_t,ORDER_TBL,ch_frame->pos);
  REF(27).tsdr = &dr_integer;
/* iadd 28 27 =(1) */
  if (!chf_iadd(DEF(28),REF(27).value.integer,1)) goto ch_depletion;
/* lookup_at 29 3.0.2 28 */
  if((ch_i = REF(28).value.integer) < 0 || ch_i >= (ch_t = 
    REF(3)DOT(0)DOT(2).value.table)->size) goto ch_notfound;
  (*(REF(29).tsdr)->finalize)(REF(29).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(29).value,ch_i);
  REF(29).tsdr = qdatarepmap[ch_t->tsdr->number];
/* block , 14 */
  if((ch_returncode = che_block(QUAL(14),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 19;
cb83:
/* call 3.7 29 3.2 3.3 3.4 30 , 3 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(7),
          arguments[1] = DEF(29),
          arguments[2] = DEF(3)DOT(2),
          arguments[3] = DEF(3)DOT(3),
          arguments[4] = DEF(3)DOT(4),
          arguments[5] = DEF(30),
          arguments[5+1] = nil,& arguments[0]),QUAL(3),sched)) != Normal)
     goto ch_raise_exception;
  return;
c84:
/* move 8 30 */
  (*(REF(8).tsdr)->finalize)(REF(8).value,F_DISCARD,sched);
  REF(8) = REF(30);
  REF(30).tsdr = & dr_bottom;
/* equal . 8 26.1 , 112 */
  if ( (REF(8).tsdr->equal)(REF(8).value,REF(26)DOT(1).value) ) goto c112;
/* new_record 18 , 3 */
  if ((ch_val.record = new_record(3)) == nil) goto ch_depletion;
  (*(REF(18).tsdr)->finalize)(REF(18).value,F_DISCARD,sched);
  REF(18).value = ch_val; REF(18).tsdr = & dr_record;
/* ordenum_lit 18.1 , 7 */
  REF(18)DOT(1).value.ord_enum = 7;
  REF(18)DOT(1).tsdr = & dr_ord_enumeration;
/* copy 31 4 */
  if((ch_returncode = cp_record(& ch_val, REF(4).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(31).tsdr)->finalize)(REF(31).value,F_DISCARD,sched);
  REF(31).value = ch_val;
  REF(31).tsdr = & dr_record;
/* unite 18.0 31 , 0 */
  if ((ch_returncode = che_unite(DEF(18)DOT(0),DEF(31),sched,0)) != Normal)
     goto ch_raise_exception;
/* new_table 18.2 , 12 */
  if ((ch_returncode = che_new_table(DEF(18)DOT(2),QUAL(12)
    ,sched)) != Normal)  goto ch_raise_exception;
/* position 32 26 */
  ch_frame = get_selector_frame(DEF(26),sched);
  ch_t = ch_frame->inspectee->value.table;
  REF(32).value.integer = ch_frame->rmvcount +
    (*(ch_t->tbls[ORDER_TBL].des->position_of))(ch_t,ORDER_TBL,ch_frame->pos);
  REF(32).tsdr = &dr_integer;
/* iadd 33 32 =(1) */
  if (!chf_iadd(DEF(33),REF(32).value.integer,1)) goto ch_depletion;
/* unite 21 33 , 4 */
  if ((ch_returncode = che_unite(DEF(21),DEF(33),sched,4)) != Normal)
     goto ch_raise_exception;
/* insert 18.2 21 */
  if ((ch_returncode = insertfunc(DEF(18)DOT(2),DEF(21),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* unite 21 8 , 2 */
  if ((ch_returncode = che_unite(DEF(21),DEF(8),sched,2)) != Normal)
     goto ch_raise_exception;
/* insert 18.2 21 */
  if ((ch_returncode = insertfunc(DEF(18)DOT(2),DEF(21),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* copy 34 26.1 */
  if((ch_returncode = (REF(26)DOT(1).tsdr->copy)(& ch_val, REF(26)DOT(1).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(34).tsdr)->finalize)(REF(34).value,F_DISCARD,sched);
  REF(34).value = ch_val;
  REF(34).tsdr = datarepmap[REF(26)DOT(1).tsdr->number];
/* unite 21 34 , 2 */
  if ((ch_returncode = che_unite(DEF(21),DEF(34),sched,2)) != Normal)
     goto ch_raise_exception;
/* insert 18.2 21 */
  if ((ch_returncode = insertfunc(DEF(18)DOT(2),DEF(21),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* copy 35 6 */
  if((ch_returncode = (REF(6).tsdr->copy)(& ch_val, REF(6).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(35).tsdr)->finalize)(REF(35).value,F_DISCARD,sched);
  REF(35).value = ch_val;
  REF(35).tsdr = datarepmap[REF(6).tsdr->number];
/* unite 21 35 , 0 */
  if ((ch_returncode = che_unite(DEF(21),DEF(35),sched,0)) != Normal)
     goto ch_raise_exception;
/* insert 18.2 21 */
  if ((ch_returncode = insertfunc(DEF(18)DOT(2),DEF(21),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* insert 3.6 18 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(6),DEF(18),FALSE,0)) != Normal)
     goto ch_raise_exception;
c112:
/* discard 8 */
  (*(REF(8).tsdr)->finalize)(REF(8).value,F_DISCARD,sched);
  REF(8).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
/* branch , 139 */
   goto c139;
c115:
/* discard 8 */
  (*(REF(8).tsdr)->finalize)(REF(8).value,F_DISCARD,sched);
  REF(8).tsdr = & dr_bottom;
/* size 36 29.1 */
  REF(36).value.integer = REF(29)DOT(1).value.table->size;
  REF(36).tsdr = & dr_integer;
/* notequal . 36 =(0) , 132 */
  if ( REF(36).value.integer != 0 ) goto c132;
/* new_record 37 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(37).tsdr)->finalize)(REF(37).value,F_DISCARD,sched);
  REF(37).value = ch_val; REF(37).tsdr = & dr_record;
/* copy 37.0 29.0 */
  if((ch_returncode = (REF(29)DOT(0).tsdr->copy)(& ch_val, REF(29)DOT(0).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(37)DOT(0).tsdr)->finalize)(REF(37)DOT(0).value,F_DISCARD,sched);
  REF(37)DOT(0).value = ch_val;
  REF(37)DOT(0).tsdr = datarepmap[REF(29)DOT(0).tsdr->number];
/* copy 37.1 26.1 */
  if((ch_returncode = (REF(26)DOT(1).tsdr->copy)(& ch_val, REF(26)DOT(1).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(37)DOT(1).tsdr)->finalize)(REF(37)DOT(1).value,F_DISCARD,sched);
  REF(37)DOT(1).value = ch_val;
  REF(37)DOT(1).tsdr = datarepmap[REF(26)DOT(1).tsdr->number];
/* insert 3.4 37 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(4),DEF(37),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* block , 15 */
  if((ch_returncode = che_block(QUAL(15),sched)) != Normal)
     goto ch_raise_exception;
/* copy 38 29.0 */
  if((ch_returncode = (REF(29)DOT(0).tsdr->copy)(& ch_val, REF(29)DOT(0).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(38).tsdr)->finalize)(REF(38).value,F_DISCARD,sched);
  REF(38).value = ch_val;
  REF(38).tsdr = datarepmap[REF(29)DOT(0).tsdr->number];
/* insert 3.10 38 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(10),DEF(38),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* endblock */
  che_endblock(sched);
/* branch , 130 */
   goto c130;
c129:
/* discard 8 */
  (*(REF(8).tsdr)->finalize)(REF(8).value,F_DISCARD,sched);
  REF(8).tsdr = & dr_bottom;
c130:
/* discard 38 */
  (*(REF(38).tsdr)->finalize)(REF(38).value,F_DISCARD,sched);
  REF(38).tsdr = & dr_bottom;
/* branch , 139 */
   goto c139;
c132:
/* new_record 9 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(9).tsdr)->finalize)(REF(9).value,F_DISCARD,sched);
  REF(9).value = ch_val; REF(9).tsdr = & dr_record;
/* copy 9.0 29.0 */
  if((ch_returncode = (REF(29)DOT(0).tsdr->copy)(& ch_val, REF(29)DOT(0).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(9)DOT(0).tsdr)->finalize)(REF(9)DOT(0).value,F_DISCARD,sched);
  REF(9)DOT(0).value = ch_val;
  REF(9)DOT(0).tsdr = datarepmap[REF(29)DOT(0).tsdr->number];
/* copy 39 4 */
  if((ch_returncode = cp_record(& ch_val, REF(4).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(39).tsdr)->finalize)(REF(39).value,F_DISCARD,sched);
  REF(39).value = ch_val;
  REF(39).tsdr = & dr_record;
/* unite 9.1 39 , 3 */
  if ((ch_returncode = che_unite(DEF(9)DOT(1),DEF(39),sched,3)) != Normal)
     goto ch_raise_exception;
/* insert 3.5 9 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(5),DEF(9),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* exit , 4 */
  ch_e = handler_type__exit; ch_val = QUAL(4); goto ch_exception;
c139:
/* endblock */
  che_endblock(sched);
/* branch , 75 */
   goto c75;
c141:
/* discard 8 */
  (*(REF(8).tsdr)->finalize)(REF(8).value,F_DISCARD,sched);
  REF(8).tsdr = & dr_bottom;
/* branch , 75 */
   goto c75;
c143:
/* endget 26 25 */
  end_selector(DEF(26),DEF(25),sched,GET);
/* discard 25 */
  (*(REF(25).tsdr)->finalize)(REF(25).value,F_DISCARD,sched);
  REF(25).tsdr = & dr_bottom;
/* discard 8 */
  (*(REF(8).tsdr)->finalize)(REF(8).value,F_DISCARD,sched);
  REF(8).tsdr = & dr_bottom;
/* new_table 40 , 12 */
  if ((ch_returncode = che_new_table(DEF(40),QUAL(12),sched)) != Normal) 
     goto ch_raise_exception;
/* copy 41 3.0.2 */
  if((ch_returncode = cp_table(& ch_val, REF(3)DOT(0)DOT(2).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(41).tsdr)->finalize)(REF(41).value,F_DISCARD,sched);
  REF(41).value = ch_val;
  REF(41).tsdr = & dr_table;
/* initget 42 41 , 0,0 */
  (*(REF(42).tsdr)->finalize)(REF(42).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(42),DEF(41),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c149:
/* get_or_goto 42 41 , 184 */
  if ((ch_returncode = get_selected_object(DEF(42),DEF(41),sched)) != Normal)
     goto c184;
/* position 43 42 */
  ch_frame = get_selector_frame(DEF(42),sched);
  ch_t = ch_frame->inspectee->value.table;
  REF(43).value.integer = ch_frame->rmvcount +
    (*(ch_t->tbls[ORDER_TBL].des->position_of))(ch_t,ORDER_TBL,ch_frame->pos);
  REF(43).tsdr = &dr_integer;
/* ile . 43 =(0) , 149 */
  if ( REF(43).value.integer <= 0 ) goto c149;
/* boolean 44 , FALSE */
  REF(44).value.boolean = FALSE;
  REF(44).tsdr = & dr_boolean;
/* initget 45 40 , 0,0 */
  (*(REF(45).tsdr)->finalize)(REF(45).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(45),DEF(40),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c156:
/* get_or_goto 45 40 , 162 */
  if ((ch_returncode = get_selected_object(DEF(45),DEF(40),sched)) != Normal)
     goto c162;
  current->ip = 30;
cb157:
/* call 3.9 45.1 42.1 46 , 16 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(9),
          arguments[1] = DEF(45)DOT(1),
          arguments[2] = DEF(42)DOT(1),
          arguments[3] = DEF(46),
          arguments[3+1] = nil,& arguments[0]),QUAL(16),sched)) != Normal)
     goto ch_raise_exception;
  return;
c158:
/* equal 47 45.0 42.0 */
  REF(47).value.boolean = ((REF(45)DOT(0).tsdr->equal)(REF(45)DOT(0).value,
    REF(42)DOT(0).value));
  REF(47).tsdr = & dr_boolean;
/* and 48 46 47 */
  REF(48).value.boolean = REF(46).value.boolean&REF(47).value.boolean;
  REF(48).tsdr = & dr_boolean;
/* branch_false 48 , 156 */
  if ( !REF(48).value.boolean ) goto c156;
/* boolean 44 , TRUE */
  REF(44).value.boolean = TRUE;
  REF(44).tsdr = & dr_boolean;
c162:
/* endget 45 40 */
  end_selector(DEF(45),DEF(40),sched,GET);
/* branch_false 44 , 181 */
  if ( !REF(44).value.boolean ) goto c181;
/* new_record 18 , 3 */
  if ((ch_val.record = new_record(3)) == nil) goto ch_depletion;
  (*(REF(18).tsdr)->finalize)(REF(18).value,F_DISCARD,sched);
  REF(18).value = ch_val; REF(18).tsdr = & dr_record;
/* ordenum_lit 18.1 , 8 */
  REF(18)DOT(1).value.ord_enum = 8;
  REF(18)DOT(1).tsdr = & dr_ord_enumeration;
/* copy 49 4 */
  if((ch_returncode = cp_record(& ch_val, REF(4).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(49).tsdr)->finalize)(REF(49).value,F_DISCARD,sched);
  REF(49).value = ch_val;
  REF(49).tsdr = & dr_record;
/* unite 18.0 49 , 0 */
  if ((ch_returncode = che_unite(DEF(18)DOT(0),DEF(49),sched,0)) != Normal)
     goto ch_raise_exception;
/* new_table 18.2 , 12 */
  if ((ch_returncode = che_new_table(DEF(18)DOT(2),QUAL(12)
    ,sched)) != Normal)  goto ch_raise_exception;
/* copy 50 42 */
  if((ch_returncode = (REF(42).tsdr->copy)(& ch_val, REF(42).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(50).tsdr)->finalize)(REF(50).value,F_DISCARD,sched);
  REF(50).value = ch_val;
  REF(50).tsdr = datarepmap[REF(42).tsdr->number];
/* unite 21 50 , 0 */
  if ((ch_returncode = che_unite(DEF(21),DEF(50),sched,0)) != Normal)
     goto ch_raise_exception;
/* insert 18.2 21 */
  if ((ch_returncode = insertfunc(DEF(18)DOT(2),DEF(21),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* copy 51 6 */
  if((ch_returncode = (REF(6).tsdr->copy)(& ch_val, REF(6).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(51).tsdr)->finalize)(REF(51).value,F_DISCARD,sched);
  REF(51).value = ch_val;
  REF(51).tsdr = datarepmap[REF(6).tsdr->number];
/* unite 21 51 , 0 */
  if ((ch_returncode = che_unite(DEF(21),DEF(51),sched,0)) != Normal)
     goto ch_raise_exception;
/* insert 18.2 21 */
  if ((ch_returncode = insertfunc(DEF(18)DOT(2),DEF(21),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* insert 3.6 18 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(6),DEF(18),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 149 */
   goto c149;
c181:
/* copy 52 42 */
  if((ch_returncode = (REF(42).tsdr->copy)(& ch_val, REF(42).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(52).tsdr)->finalize)(REF(52).value,F_DISCARD,sched);
  REF(52).value = ch_val;
  REF(52).tsdr = datarepmap[REF(42).tsdr->number];
/* insert 40 52 */
  if ((ch_returncode = insertfunc(DEF(40),DEF(52),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 149 */
   goto c149;
c184:
/* endget 42 41 */
  end_selector(DEF(42),DEF(41),sched,GET);
/* discard 41 */
  (*(REF(41).tsdr)->finalize)(REF(41).value,F_DISCARD,sched);
  REF(41).tsdr = & dr_bottom;
/* return 3 */
  if (ch_caller = do_return(REF(3).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(3).value);
  REF(3).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
/* branch , 231 */
   goto c231;
c189:
/* discard 8 */
  (*(REF(8).tsdr)->finalize)(REF(8).value,F_DISCARD,sched);
  REF(8).tsdr = & dr_bottom;
/* discard 12 */
  (*(REF(12).tsdr)->finalize)(REF(12).value,F_DISCARD,sched);
  REF(12).tsdr = & dr_bottom;
/* return 3 */
  if (ch_caller = do_return(REF(3).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(3).value);
  REF(3).tsdr = & dr_bottom;
/* branch , 231 */
   goto c231;
c193:
/* new_record 18 , 3 */
  if ((ch_val.record = new_record(3)) == nil) goto ch_depletion;
  (*(REF(18).tsdr)->finalize)(REF(18).value,F_DISCARD,sched);
  REF(18).value = ch_val; REF(18).tsdr = & dr_record;
/* ordenum_lit 18.1 , 9 */
  REF(18)DOT(1).value.ord_enum = 9;
  REF(18)DOT(1).tsdr = & dr_ord_enumeration;
/* discard 53 */
  REF(53).tsdr = & dr_bottom;
/* copy 54 4 */
  if((ch_returncode = cp_record(& ch_val, REF(4).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(54).tsdr)->finalize)(REF(54).value,F_DISCARD,sched);
  REF(54).value = ch_val;
  REF(54).tsdr = & dr_record;
/* unite 18.0 54 , 0 */
  if ((ch_returncode = che_unite(DEF(18)DOT(0),DEF(54),sched,0)) != Normal)
     goto ch_raise_exception;
/* new_table 18.2 , 12 */
  if ((ch_returncode = che_new_table(DEF(18)DOT(2),QUAL(12)
    ,sched)) != Normal)  goto ch_raise_exception;
/* unite 21 6 , 0 */
  if ((ch_returncode = che_unite(DEF(21),DEF(6),sched,0)) != Normal)
     goto ch_raise_exception;
/* insert 18.2 21 */
  if ((ch_returncode = insertfunc(DEF(18)DOT(2),DEF(21),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* insert 3.6 18 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(6),DEF(18),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* return 3 */
  if (ch_caller = do_return(REF(3).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(3).value);
  REF(3).tsdr = & dr_bottom;
/* branch , 231 */
   goto c231;
c206:
/* new_record 18 , 3 */
  if ((ch_val.record = new_record(3)) == nil) goto ch_depletion;
  (*(REF(18).tsdr)->finalize)(REF(18).value,F_DISCARD,sched);
  REF(18).value = ch_val; REF(18).tsdr = & dr_record;
/* ordenum_lit 18.1 , 9 */
  REF(18)DOT(1).value.ord_enum = 9;
  REF(18)DOT(1).tsdr = & dr_ord_enumeration;
/* discard 53 */
  REF(53).tsdr = & dr_bottom;
/* copy 54 4 */
  if((ch_returncode = cp_record(& ch_val, REF(4).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(54).tsdr)->finalize)(REF(54).value,F_DISCARD,sched);
  REF(54).value = ch_val;
  REF(54).tsdr = & dr_record;
/* unite 18.0 54 , 0 */
  if ((ch_returncode = che_unite(DEF(18)DOT(0),DEF(54),sched,0)) != Normal)
     goto ch_raise_exception;
/* new_table 18.2 , 12 */
  if ((ch_returncode = che_new_table(DEF(18)DOT(2),QUAL(12)
    ,sched)) != Normal)  goto ch_raise_exception;
/* unite 21 6 , 0 */
  if ((ch_returncode = che_unite(DEF(21),DEF(6),sched,0)) != Normal)
     goto ch_raise_exception;
/* insert 18.2 21 */
  if ((ch_returncode = insertfunc(DEF(18)DOT(2),DEF(21),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* insert 3.6 18 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(6),DEF(18),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* return 3 */
  if (ch_caller = do_return(REF(3).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(3).value);
  REF(3).tsdr = & dr_bottom;
/* branch , 231 */
   goto c231;
c219:
/* new_record 18 , 3 */
  if ((ch_val.record = new_record(3)) == nil) goto ch_depletion;
  (*(REF(18).tsdr)->finalize)(REF(18).value,F_DISCARD,sched);
  REF(18).value = ch_val; REF(18).tsdr = & dr_record;
/* ordenum_lit 18.1 , 9 */
  REF(18)DOT(1).value.ord_enum = 9;
  REF(18)DOT(1).tsdr = & dr_ord_enumeration;
/* copy 54 4 */
  if((ch_returncode = cp_record(& ch_val, REF(4).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(54).tsdr)->finalize)(REF(54).value,F_DISCARD,sched);
  REF(54).value = ch_val;
  REF(54).tsdr = & dr_record;
/* unite 18.0 54 , 0 */
  if ((ch_returncode = che_unite(DEF(18)DOT(0),DEF(54),sched,0)) != Normal)
     goto ch_raise_exception;
/* new_table 18.2 , 12 */
  if ((ch_returncode = che_new_table(DEF(18)DOT(2),QUAL(12)
    ,sched)) != Normal)  goto ch_raise_exception;
/* unite 21 6 , 0 */
  if ((ch_returncode = che_unite(DEF(21),DEF(6),sched,0)) != Normal)
     goto ch_raise_exception;
/* insert 18.2 21 */
  if ((ch_returncode = insertfunc(DEF(18)DOT(2),DEF(21),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* insert 3.6 18 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(6),DEF(18),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* return 3 */
  if (ch_caller = do_return(REF(3).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(3).value);
  REF(3).tsdr = & dr_bottom;
c231:
/* discard 6 */
  (*(REF(6).tsdr)->finalize)(REF(6).value,F_DISCARD,sched);
  REF(6).tsdr = & dr_bottom;
/* discard 8 */
  (*(REF(8).tsdr)->finalize)(REF(8).value,F_DISCARD,sched);
  REF(8).tsdr = & dr_bottom;
/* discard 12 */
  (*(REF(12).tsdr)->finalize)(REF(12).value,F_DISCARD,sched);
  REF(12).tsdr = & dr_bottom;
/* discard 40 */
  (*(REF(40).tsdr)->finalize)(REF(40).value,F_DISCARD,sched);
  REF(40).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
c237:
/* endprocess */
  che_endprocess(sched); return;
#include "chtail.h"
